Package org.codehaus.janino.util

# Class ClassFile.SyntheticAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.SyntheticAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.SyntheticAttribute extends ClassFile.AttributeInfo
Representation of a `Synthetic` attribute (see JVMS 4.7.6).

## Method Summary

Modifier and Type
Method
Description
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### storeBody

protected void storeBody(DataOutputStream dos)
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`